Skip to content

Replication API

3 confirmed endpoints — 3 respond with data, 0 require valid input.

Endpoints with Response Data

GET /auxiliary/api/v1/transfers

Get all transfer request

✅ Live — responds with data


GET /prime/api/v1/replication

Get Replication

✅ Live — responds with data

Sample Response:

{
  "sources": []
}

Response Schema:

Field Type Required
sources array Yes

PUT /prime/api/v1/replication

Put Replication

✅ Live — responds with data

Sample Response:

{
  "error": {
    "statusCode": 400,
    "message": "Missing Put Replication body JSON",
    "developerMessage": "Missing Put Replication body JSON",
    "payload": {
      "messages": [
        "Missing Put Replication body JSON"
      ],
      "debug": [
        "BadRequestError"
      ],
      "code": 400,
      "stack": "BadRequestError: Missing Put Replication body JSON\n    at putReplication (/var/task/src/main.js:465350:44)\n    at replicationHandler (/var/task/src/main.js:465335:12)\n    at handlerFunc (/var/task/src/main.js:471127:14)\n    at runRequest (/var/task/src/main.js:401790:9)\n    at async BufferedInvokeProcessor.processInvoke (file:///var/runtime/index.mjs:1092:22)\n    at async _Runtime.processSingleConcurrent (file:///var/runtime/index.mjs:1178:7)\n    at async _Runtime.start (file:///var/runtime/index.mjs:1165:7)\n    at async ignition (file:///var/runtime/index.mjs:1634:5)",
      "requestID": "956895e0-b111-402c-b17d-973accf8e76a"
    }
  }
}

Response Schema:

Field Type Required
error object Yes

Not Found

Method Path Code
GET /api/v1/replication 404
GET /api/v1/replication/feed 404
GET /api/v1/transferRequests 404
GET /prime/api/v1/transfers 404
POST /prime/api/v1/transfers 404